Fixes # (please link the issue)
Should be reviewed by @kitodo/kitodo-presentation-maintainers

## Description

A summary of the changes and which issue is fixed. Please also include relevant motivation and context (if that's not part of the linked issue). List any new dependencies that are required for this to work and any breaking changes that would cause existing functionality to no longer work as expected.

## Sponsorship

The development was paid for by ...

## Testing and Review

If applicable, provide a working demo to help us review the changes. Alternatively, describe the tests that you ran to verify your changes and provide instructions so we can reproduce.

### Environment

 - OS version: [e.g. Windows Server 2019, Debian Linux 10.2]
 - RDBMS version: [e.g. MySQL 8.0.16, MariaDB 10.4.10]
 - Apache Solr version: [e.g. 8.3.0]
 - TYPO3 version: [e.g. 8.7.29]
 - PHP version: [e.g. 7.3.11]

## Migration

Describe all necessary migration steps when applying this change to production. If possible, provide scripts and documentation to automate or at least support migration.

## Checklist

I have performed a self-review of my own code and can verify that:

- [ ] My code follows the style guidelines of this project
- [ ] I have documented my code following the PHPDoc/PSR-5 standard
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation (or verified that none are needed)
- [ ] My pull request meets any applicable [Codacy](https://app.codacy.com/manual/Kitodo/Kitodo.Presentation/pullRequests) and [Scrutinizer](https://scrutinizer-ci.com/g/kitodo/kitodo-presentation/inspections) patterns
- [ ] My changes generate no new warnings or errors
- [ ] I have thoroughly tested to make sure nothing breaks and everything works as expected
